Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class SharedVirtualDisk

`java.lang.Object
oracle.ovs.api.datamodel.VirtualDiskBase
oracle.ovs.api.datamodel.VirtualDisk
oracle.ovs.api.datamodel.resource.SharedVirtualDisk`

All Implemented Interfaces:
  java.io.Serializable

      public class SharedVirtualDisk

extends VirtualDisk

shared virtual disks

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.ovs.api.datamodel.VirtualDisk
`attachStatus, comments, diskName, diskSize, frontEnd, hardDiskDriver, mode, priorityClass, qosEnable, sharable, status, virtualDiskId`

Fields inherited from class oracle.ovs.api.datamodel.VirtualDiskBase
`DISK_MODE_READ, DISK_MODE_WRITE, HARD_DRIVE_AUTO, HARD_DRIVE_IDE, HARD_DRIVE_SCSI, HARD_DRIVE_XVD, HARD_DRIVER_AUTO, HARD_DRIVER_IDE, HARD_DRIVER_SCSI, HARD_DRIVER_XVD, NON_SHARABLE, STATUS_ACTIVE`

Constructor Summary
`SharedVirtualDisk()`
`SharedVirtualDisk(oracle.ovs.datamodel.OvsVirtualDisk vd)`
`SharedVirtualDisk(java.lang.String diskName, java.lang.Long diskSize, java.lang.String comments)`

Method Summary
`java.lang.String` | `getcomments()`
`java.lang.String` | `getdiskName()`
`java.lang.Long` | `getdiskSize()`
`java.lang.Long` | `getGroupId()`
`java.lang.Long` | `getServerPoolId()`
`java.lang.Long` | `getSharedDiskResourceId()`
`void` | `setcomments(java.lang.String comments)`
`void` | `setdiskName(java.lang.String diskName)`
`void` | `setdiskSize(java.lang.Long diskSize)`
`void` | `setGroupId(java.lang.Long groupId)`
`void` | `setServerPoolId(java.lang.Long serverPoolId)`
`void` | `setSharedDiskResourceId(java.lang.Long sharedDiskResourceId)`

Methods inherited from class oracle.ovs.api.datamodel.VirtualDisk
`getAttachStatus, getComments, getDiskName, getDiskSize, getFrontEnd, getHardDiskDriver, getMode, getPriorityClass, getStatus, getVirtualDiskId, isQosEnable, isSharable, setAttachStatus, setComments, setDiskName, setDiskSize, setFrontEnd, setHardDiskDriver, setMode, setPriorityClass, setQosEnable, setSharable, setStatus, setVirtualDiskId`

Methods inherited from class oracle.ovs.api.datamodel.VirtualDiskBase
`getDiskModeRead, getDiskModeWrite, getHardDriveAuto, getHardDriveIde, getHardDriveScsi, getHardDriveXvd`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedVirtualDisk

    public SharedVirtualDisk()

### SharedVirtualDisk

    public SharedVirtualDisk(oracle.ovs.datamodel.OvsVirtualDisk vd)

### SharedVirtualDisk

    public SharedVirtualDisk(java.lang.String diskName,
                             java.lang.Long diskSize,
                             java.lang.String comments)

Method Detail

### getSharedDiskResourceId

    public java.lang.Long getSharedDiskResourceId()

### setSharedDiskResourceId

    public void setSharedDiskResourceId(java.lang.Long sharedDiskResourceId)

### getServerPoolId

    public java.lang.Long getServerPoolId()

### setServerPoolId

    public void setServerPoolId(java.lang.Long serverPoolId)

### getdiskSize

    public java.lang.Long getdiskSize()

### setdiskSize

    public void setdiskSize(java.lang.Long diskSize)

### getdiskName

    public java.lang.String getdiskName()

### setdiskName

    public void setdiskName(java.lang.String diskName)

### getcomments

    public java.lang.String getcomments()

### setcomments

    public void setcomments(java.lang.String comments)

### setGroupId

    public void setGroupId(java.lang.Long groupId)

### getGroupId

    public java.lang.Long getGroupId()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.